Subject: Re: bug#18545: 24.4.50: Bug - forward-line inside with-selected-window

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 Sep 2014 22:38:08 +0300

> Date: Sat, 27 Sep 2014 21:03:30 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  > You assume that the value of point displayed is consistent with the one
>  > you see on the screen.  But maybe the value of point printed is the one
>  > of the line *after* the last line.  So after printing that value,
>  > redisplay re-sets point and at the end of the next command, the
>  > displayed point will be the same as the last displayed one.
> 
> Indeed.  Redisplay moves point back exactly to where it was before.

Which is exactly what that code was written to do.